TrackingError {PerformanceAnalytics} | R Documentation

## Calculate Tracking Error of returns against a benchmark

### Description

A measure of the unexplained portion of performance relative to a benchmark.

### Usage

    TrackingError(Ra, Rb, scale = NA)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`scale` | number of periods in a year (daily scale = 252, monthly scale = 12, quarterly scale = 4)

### Details

Tracking error is calculated by taking the square root of the average of the squared deviations between the investment's returns and the benchmark's returns, then multiplying the result by the square root of the scale of the returns.

TrackingError = sqrt(sum(Ra - Rb)^2 / (length(R) - 1)) * sqrt(scale)

### Author(s)

Peter Carl

### References

Sharpe, W.F. The Sharpe Ratio,Journal of Portfolio Management,Fall 1994, 49-58.

### See Also

`InformationRatio` `TrackingError`

### Examples

    data(managers)
    TrackingError(managers[,1,drop=FALSE], managers[,8,drop=FALSE])
    TrackingError(managers[,1:6], managers[,8,drop=FALSE])
    TrackingError(managers[,1:6], managers[,8:7,drop=FALSE])

[Package PerformanceAnalytics version 1.5.3 Index]